Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/cv3a_uncompress.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/cv3a_uncompress.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/cv3a_uncompress.F90	(revision 4727)
@@ -2,5 +2,5 @@
                            iflag, kbas, ktop, &
                            precip, cbmf, plcl, plfc, wbeff, sig, w0, ptop2, &
-                           ft, fq, fu, fv, ftra,  &
+                           ft, fq, fqcomp, fu, fv, ftra,  &
                            sigd, ma, mip, vprecip, vprecipi, upwd, dnwd, dnwd0, &
                            qcondc, wd, cape, cin, &
@@ -12,9 +12,9 @@
                            qta, clw, elij, evap, ep, epmlmMm, eplaMm, &         ! RomP+jyg
                            wdtrainA, wdtrainS, wdtrainM, &                      ! RomP
-                           qtc, sigt,          &
+                           qtc, sigt, detrain,         &
                            epmax_diag, & ! epmax_cape
                            iflag1, kbas1, ktop1, &
                            precip1, cbmf1, plcl1, plfc1, wbeff1, sig1, w01, ptop21, &
-                           ft1, fq1, fu1, fv1, ftra1, &
+                           ft1, fq1, fqcomp1, fu1, fv1, ftra1, &
                            sigd1, ma1, mip1, vprecip1, vprecipi1, upwd1, dnwd1, dnwd01, &
                            qcondc1, wd1, cape1, cin1, &
@@ -26,5 +26,5 @@
                            qta1, clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, &  ! RomP+jyg
                            wdtrainA1, wdtrainS1, wdtrainM1, &                   ! RomP
-                           qtc1, sigt1, &
+                           qtc1, sigt1, detrain1, &
                            epmax_diag1) ! epmax_cape
 
@@ -54,5 +54,5 @@
   REAL, DIMENSION (nloc), INTENT (IN)                :: ptop2
   REAL, DIMENSION (nloc), INTENT (IN)                :: epmax_diag
-  REAL, DIMENSION (nloc, nd), INTENT (IN)            :: ft, fq, fu, fv
+  REAL, DIMENSION (nloc, nd), INTENT (IN)            :: ft, fq, fqcomp, fu, fv
   REAL, DIMENSION (nloc, nd, ntra), INTENT (IN)      :: ftra
   REAL, DIMENSION (nloc), INTENT (IN)                :: sigd
@@ -81,5 +81,5 @@
   REAL, DIMENSION (nloc, nd, nd), INTENT (IN)        :: epmlmMm                !RomP+jyg
   REAL, DIMENSION (nloc, nd), INTENT (IN)            :: eplamM                 !RomP+jyg
-  REAL, DIMENSION (nloc, nd), INTENT (IN)            :: qtc, sigt              !RomP
+  REAL, DIMENSION (nloc, nd), INTENT (IN)            :: qtc, sigt, detrain              !RomP
   REAL, DIMENSION (nloc, nd), INTENT (IN)            :: wdtrainA, wdtrainS, wdtrainM     !RomP
 
@@ -91,5 +91,5 @@
   REAL, DIMENSION (len), INTENT (OUT)                :: epmax_diag1 ! epmax_cape
   REAL, DIMENSION (len), INTENT (OUT)                :: ptop21
-  REAL, DIMENSION (len, nd), INTENT (OUT)            :: ft1, fq1, fu1, fv1
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: ft1, fq1, fqcomp1, fu1, fv1
   REAL, DIMENSION (len, nd, ntra), INTENT (OUT)      :: ftra1
   REAL, DIMENSION (len), INTENT (OUT)                :: sigd1
@@ -118,5 +118,5 @@
   REAL, DIMENSION (len, nd, nd), INTENT (OUT)        :: epmlmMm1               !RomP+jyg
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: eplamM1                !RomP+jyg
-  REAL, DIMENSION (len, nd), INTENT (OUT)            :: qtc1, sigt1            !RomP
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: qtc1, sigt1, detrain1            !RomP
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: wdtrainA1, wdtrainS1, wdtrainM1   !RomP
 
@@ -158,4 +158,5 @@
         ft1(idcum(i), k) = ft(i, k)
         fq1(idcum(i), k) = fq(i, k)
+        fqcomp1(idcum(i), k) = fqcomp(i, k)
         fu1(idcum(i), k) = fu(i, k)
         fv1(idcum(i), k) = fv(i, k)
@@ -187,4 +188,5 @@
         qtc1(idcum(i), k) = qtc(i, k)
         sigt1(idcum(i), k) = sigt(i, k)
+        detrain1(idcum(i), k) = detrain(i, k)
    
       END DO
@@ -285,4 +287,5 @@
       ft1(:, 1:nl) = ft(:, 1:nl)
       fq1(:, 1:nl) = fq(:, 1:nl)
+      fqcomp1(:, 1:nl) = fqcomp(:, 1:nl)
       fu1(:, 1:nl) = fu(:, 1:nl)
       fv1(:, 1:nl) = fv(:, 1:nl)
@@ -314,4 +317,5 @@
       qtc1(:, 1:nl) = qtc(:, 1:nl)
       sigt1(:, 1:nl) = sigt(:, 1:nl)
+      detrain1(:, 1:nl) = detrain(:, 1:nl)
 !
       ma1(:, nlp) = 0.
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/cva_driver.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/cva_driver.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/cva_driver.F90	(revision 4727)
@@ -11,5 +11,5 @@
                       Ale1, Alp1, omega1, &
                       sig1feed1, sig2feed1, wght1, &
-                      iflag1, ft1, fq1, fu1, fv1, ftra1, &
+                      iflag1, ft1, fq1, fqcomp1, fu1, fv1, ftra1, &
                       precip1, kbas1, ktop1, &
                       cbmf1, plcl1, plfc1, wbeff1, &
@@ -26,5 +26,5 @@
                       da1, phi1, mp1, phi21, d1a1, dam1, sigij1, wghti1, & ! RomP, RL
                       qta1, clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, &  ! RomP, RL
-                      wdtrainA1, wdtrainS1, wdtrainM1, qtc1, sigt1, tau_cld_cv, &     !!jygprl
+                      wdtrainA1, wdtrainS1, wdtrainM1, qtc1, sigt1, detrain1, tau_cld_cv, &     !!jygprl
                       coefw_cld_cv, &                                      ! RomP, AJ
                       epmax_diag1)  ! epmax_cape
@@ -88,4 +88,5 @@
 ! ft1           Real           Output       temp tend
 ! fq1           Real           Output       spec hum tend
+! fqcomp1       Real           Output       spec hum tend (only mixed draughts)
 ! fu1           Real           Output       u-wind tend
 ! fv1           Real           Output       v-wind tend
@@ -135,4 +136,5 @@
 ! qtc1          Real           Output     specific humidity in convection
 ! sigt1         Real           Output     surface fraction in adiabatic updrafts                                         
+! detrain1      Real           Output     detrainment terme klein
 ! phi21         Real           Output     used in tracer transport (cvltr)
                                          
@@ -209,4 +211,5 @@
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: ft1
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: fq1
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: fqcomp1
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: fu1
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: fv1
@@ -248,4 +251,5 @@
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: qtc1    ! in cloud water content (intensive)   ! cld
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: sigt1   ! fract. cloud area (intensive)        ! cld
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: detrain1   ! detrainement term of mixed draughts in environment
 
 ! RomP >>>
@@ -502,5 +506,5 @@
   REAL, DIMENSION(len,nd)     :: ice, fondue, b
   REAL, DIMENSION(len,nd)     :: frac_a, frac_s, faci               !!jygprl
-  REAL ft(nloc, nd), fq(nloc, nd)
+  REAL ft(nloc, nd), fq(nloc, nd), fqcomp(nloc, nd)
   REAL ftd(nloc, nd), fqd(nloc, nd)
   REAL fu(nloc, nd), fv(nloc, nd)
@@ -528,4 +532,5 @@
   REAL qtc(nloc, nd)         ! cld
   REAL sigt(nloc, nd)        ! cld
+  REAL detrain(nloc, nd)     ! cld
  
 ! RomP >>>
@@ -593,4 +598,5 @@
   ft1(:, :) = 0.0
   fq1(:, :) = 0.0
+  fqcomp1(:, :) = 0.0
   fu1(:, :) = 0.0
   fv1(:, :) = 0.0
@@ -646,4 +652,5 @@
 ! RomP >>>
   sigt1(:, :) = 0.
+  detrain1(:, :) = 0.
   qtc1(:, :) = 0.
   wdtrainA1(:, :) = 0.
@@ -1139,10 +1146,10 @@
                      nent, elij, traent, sig, &
                      tv, tvp, wghti, &
-                     iflag, precip, Vprecip, Vprecipi, ft, fq, fu, fv, ftra, &      ! jyg
+                     iflag, precip, Vprecip, Vprecipi, ft, fq, fqcomp, fu, fv, ftra, &      ! jyg
                      cbmf, upwd, dnwd, dnwd0, ma, mip, &
 !!                     tls, tps, &                            ! useless . jyg
                      qcondc, wd, &
 !!                     ftd, fqd, qnk, qtc, sigt, tau_cld_cv, coefw_cld_cv)
-                     ftd, fqd, qta, qtc, sigt, tau_cld_cv, coefw_cld_cv)         !!jygprl
+                     ftd, fqd, qta, qtc, sigt, detrain, tau_cld_cv, coefw_cld_cv)         !!jygprl
 !
 !         Test conseravtion de l'eau
@@ -1204,5 +1211,5 @@
                            iflag, icb, inb, &
                            precip, cbmf, plcl, plfc, wbeff, sig, w0, ptop2, &
-                           ft, fq, fu, fv, ftra, &
+                           ft, fq, fqcomp, fu, fv, ftra, &
                            sigd, ma, mip, vprecip, vprecipi, upwd, dnwd, dnwd0, &
                            qcondc, wd, cape, cin, &
@@ -1214,8 +1221,8 @@
                            qta, clw, elij, evap, ep, epmlmMm, eplaMm, &  ! RomP
                            wdtrainA, wdtrainS, wdtrainM, &                         ! RomP
-                           qtc, sigt, epmax_diag, & ! epmax_cape
+                           qtc, sigt, detrain, epmax_diag, & ! epmax_cape
                            iflag1, kbas1, ktop1, &
                            precip1, cbmf1, plcl1, plfc1, wbeff1, sig1, w01, ptop21, &
-                           ft1, fq1, fu1, fv1, ftra1, &
+                           ft1, fq1, fqcomp1, fu1, fv1, ftra1, &
                            sigd1, ma1, mip1, vprecip1, vprecipi1, upwd1, dnwd1, dnwd01, &
                            qcondc1, wd1, cape1, cin1, &
@@ -1227,5 +1234,5 @@
                            qta1, clw1, elij1, evap1, ep1, epmlmMm1, eplaMm1, & ! RomP
                            wdtrainA1, wdtrainS1, wdtrainM1,                  & ! RomP
-                           qtc1, sigt1, epmax_diag1) ! epmax_cape
+                           qtc1, sigt1, detrain1, epmax_diag1) ! epmax_cape
 !   
       IF (prt_level >= 10) THEN
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1DUTILS.h	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1DUTILS.h	(revision 4727)
@@ -266,5 +266,5 @@
 !Config  Def  = 0.
 !Config  Help = 
-       tsurf = 0.
+       time_ini = 0.
        CALL getin('time_ini',time_ini)
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 4727)
@@ -1,3 +1,3 @@
-#include "netcdf.inc"
+        INCLUDE "netcdf.inc"
 
 ! Declarations specifiques au cas Toga
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 4727)
@@ -73,9 +73,17 @@
 
 ! initial and boundary conditions :
+      ! initial pressure
       psurf = ps_prof_cas
-      if (tskin_prof_cas .NE. 0.) THEN
+
+      !initial surface temperature
+      if (tskin_prof_cas .NE. 0.) then
+      ! we take the first value of the prescribed ts
           tsurf=tskin_prof_cas
+      else if (ts_prof_cas .NE. 0) then
+      ! if an initial ts value is present, we take it
+          tsurf=ts_prof_cas
       endif
 
+      ! ts forcing during the run (if any)
       tg = ts_prof_cas
       if ((tg .eq. 0.) .and. (tskin_prof_cas .NE. 0.)) THEN
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1Dconv.h	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1Dconv.h	(revision 4727)
@@ -13,5 +13,5 @@
 !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       INTEGER klev
@@ -461,6 +461,6 @@
       implicit none
 
-#include "dimensions.h"
-!cccc#include "dimphy.h"
+      INCLUDE "dimensions.h"
+!cccc      INCLUDE "dimphy.h"
 
       integer k
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 4727)
@@ -59,5 +59,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       INTEGER nid,rid,ierr
@@ -180,5 +180,5 @@
 !program reading forcings of the AMMA case study
       implicit none
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -407,5 +407,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 4727)
@@ -90,5 +90,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       INTEGER nid,rid,ierr
@@ -267,5 +267,5 @@
 !program reading forcing of the case study
       implicit none
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -994,6 +994,6 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+        INCLUDE "compar1d.h"
+        INCLUDE "date_cas.h"
 
 ! inputs:
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4727)
@@ -81,5 +81,5 @@
     implicit none
 
-#include "netcdf.inc"
+    INCLUDE "netcdf.inc"
 
     INTEGER nid,rid,ierr
@@ -192,5 +192,5 @@
     implicit none
 
-#include "netcdf.inc"
+    INCLUDE "netcdf.inc"
 
     INTEGER nid,rid,ierr
@@ -240,5 +240,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -320,6 +320,6 @@
     implicit none
 
-#include "netcdf.inc"
-#include "date_cas.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "date_cas.h"
 
     INTEGER nid,rid,ierr
@@ -393,5 +393,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -543,5 +543,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -660,5 +660,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -831,5 +831,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel,k,t
@@ -1061,6 +1061,6 @@
   !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+  INCLUDE "compar1d.h"
+  INCLUDE "date_cas.h"
 
   ! inputs:
@@ -1135,9 +1135,9 @@
   !       endif
   timeit=(day-day_ju_ini_cas)*86400
-  print *,'day=',day
-  print *,'day_ju_ini_cas=',day_ju_ini_cas
-  print *,'pdt_cas=',pdt_cas
-  print *,'timeit=',timeit
-  print *,'nt_cas=',nt_cas
+  !print *,'day=',day
+  !print *,'day_ju_ini_cas=',day_ju_ini_cas
+  !print *,'pdt_cas=',pdt_cas
+  !print *,'timeit=',timeit
+  !print *,'nt_cas=',nt_cas
 
   ! Determine the closest observation times:
@@ -1155,5 +1155,5 @@
   time_cas1=(it_cas1-1)*pdt_cas
   time_cas2=(it_cas2-1)*pdt_cas
-  print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+  !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
   if (it_cas1 .gt. nt_cas) then
@@ -1270,6 +1270,6 @@
   !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+  INCLUDE "compar1d.h"
+  INCLUDE "date_cas.h"
 
   ! inputs:
@@ -1350,9 +1350,9 @@
   !       endif
   timeit=(day-day_ju_ini_cas)*86400
-  print *,'day=',day
-  print *,'day_ju_ini_cas=',day_ju_ini_cas
-  print *,'pdt_cas=',pdt_cas
-  print *,'timeit=',timeit
-  print *,'nt_cas=',nt_cas
+  !print *,'day=',day
+  !print *,'day_ju_ini_cas=',day_ju_ini_cas
+  !print *,'pdt_cas=',pdt_cas
+  !print *,'timeit=',timeit
+  !print *,'nt_cas=',nt_cas
 
   ! Determine the closest observation times:
@@ -1370,6 +1370,6 @@
   time_cas1=(it_cas1-1)*pdt_cas
   time_cas2=(it_cas2-1)*pdt_cas
-  print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
-  print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+  !print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
+  !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
   if (it_cas1 .gt. nt_cas) then 
@@ -1403,5 +1403,5 @@
      t_prof_cas(k) = t_cas(k,it_cas2)                                 &        
           -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
-     print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
+     !print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
      theta_prof_cas(k) = theta_cas(k,it_cas2)                         &                      
           -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4727)
@@ -90,6 +90,6 @@
     implicit none
 
-#include "netcdf.inc"
-#include "date_cas.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "date_cas.h"
 
     INTEGER nid,rid,ierr
@@ -163,5 +163,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -331,6 +331,6 @@
     use netcdf, only: nf90_get_var
     implicit none
-#include "netcdf.inc"
-#include "compar1d.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "compar1d.h"
 
     integer ntime,nlevel,k,t
@@ -671,6 +671,6 @@
     !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+    INCLUDE "compar1d.h"
+    INCLUDE "date_cas.h"
 
     ! inputs:
@@ -934,6 +934,6 @@
     implicit none
 
-#include "YOMCST.h"
-#include "dimensions.h"
+    INCLUDE "YOMCST.h"
+    INCLUDE "dimensions.h"
 
     !-------------------------------------------------------------------------
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 4727)
@@ -150,5 +150,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -495,5 +495,5 @@
 
          implicit none
-#include "netcdf.inc"
+         INCLUDE "netcdf.inc"
          integer nid,ttm,llm
          real*8 time(ttm)
@@ -545,5 +545,5 @@
        implicit none
 
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -659,5 +659,5 @@
        implicit none
 
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -781,5 +781,5 @@
 ! Read RICO forcing data 
 !-------------------------------------------------------------------------
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 
@@ -1057,5 +1057,5 @@
        implicit none
  
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1179,5 +1179,5 @@
        implicit none
  
-#include "dimensions.h"
+       INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1338,5 +1338,5 @@
        implicit none
  
-#include "dimensions.h"
+       INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1561,5 +1561,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1703,5 +1703,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1816,5 +1816,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -2173,5 +2173,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -2385,6 +2385,6 @@
       implicit none
 
-#include "netcdf.inc"
-#include "YOMCST.h"
+      INCLUDE "netcdf.inc"
+      INCLUDE "YOMCST.h"
 
       integer ntime,nlevel
@@ -2719,5 +2719,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel,nsol
@@ -2960,5 +2960,5 @@
       
       parameter (ncm_1=49180)
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       real albsfc(ncm_1), albsfc_w(ncm_1)
@@ -3064,5 +3064,5 @@
       SUBROUTINE read_rtmip(nlev_rtmip,play,plev,t,h2o,o3)
       
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       real t(nlev_rtmip), pt(nlev_rtmip),pb(nlev_rtmip),h2o(nlev_rtmip), o3(nlev_rtmip)
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1D_decl_cases.h
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 4727)
@@ -1,3 +1,3 @@
-#include "netcdf.inc"
+         INCLUDE "netcdf.inc"
 
 ! Declarations specifiques au cas Toga
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_lmdz1d.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 4727)
@@ -13,5 +13,5 @@
        ftsol, beta_aridity, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
        rnebcon, rugoro, sig1, w01, solaire_etat0, sollw, sollwdown, &
-       solsw, solswfdiff, t_ancien, q_ancien, u_ancien, v_ancien, &
+       solsw, solswfdiff, t_ancien, q_ancien, u_ancien, v_ancien, rneb_ancien, &
        wake_delta_pbl_TKE, delta_tsurf, wake_fip, wake_pe, &
        wake_deltaq, wake_deltat, wake_s, wake_dens, &
@@ -47,18 +47,18 @@
 
       implicit none
-#include "dimensions.h"
-#include "YOMCST.h"
-!!#include "control.h"
-#include "clesphys.h"
-#include "dimsoil.h"
-!#include "indicesol.h"
-
-#include "compar1d.h"
-#include "flux_arp.h"
-#include "date_cas.h"
-#include "tsoilnudge.h"
-#include "fcg_gcssold.h"
-!!!#include "fbforcing.h"
-#include "compbl.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "YOMCST.h"
+!!      INCLUDE "control.h"
+      INCLUDE "clesphys.h"
+      INCLUDE "dimsoil.h"
+!      INCLUDE "indicesol.h"
+
+      INCLUDE "compar1d.h"
+      INCLUDE "flux_arp.h"
+      INCLUDE "date_cas.h"
+      INCLUDE "tsoilnudge.h"
+      INCLUDE "fcg_gcssold.h"
+!!!      INCLUDE "fbforcing.h"
+      INCLUDE "compbl.h"
 
 !=====================================================================
@@ -163,5 +163,5 @@
 !=====================================================================
 !
-#include "old_1D_decl_cases.h"
+      INCLUDE "old_1D_decl_cases.h"
 !
 !---------------------------------------------------------------------
@@ -721,5 +721,5 @@
 !=====================================================================
 
-#include "old_1D_read_forc_cases.h"
+      INCLUDE "old_1D_read_forc_cases.h"
 
       if (forcing_GCM2SCM) then
@@ -920,4 +920,5 @@
         u_ancien(1,:)=u(:)
         v_ancien(1,:)=v(:)
+        rneb_ancien(1,:)=0.
 
         u10m=0.
@@ -945,4 +946,7 @@
 !------------------------------------------------------------------------
 !Al1 =============== restart option ==========================
+        iflag_physiq=0
+        call getin('iflag_physiq',iflag_physiq)
+
         if (.not.restart) then
           iflag_pbl = 5
@@ -1065,5 +1069,5 @@
 !---------------------------------------------------------------------
 
-#include "old_1D_interp_cases.h"
+      INCLUDE "old_1D_interp_cases.h"
 
       if (forcing_GCM2SCM) then
@@ -1248,12 +1252,10 @@
 !! Increment state variables
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-print*,'OLDLMDZ1D AANT'
     IF (flag_inhib_forcing == 0) then ! if tendency of forcings should be added
-print*,'OLDLMDZ1D ARES' , forcing_sandu
 
 ! pour les cas sandu et astex, on reclacule u,v,q,temp et teta dans 1D_nudge_sandu_astex.h
 ! au dessus de 700hpa, on relaxe vers les profils initiaux
       if (forcing_sandu .OR. forcing_astex) then
-#include "1D_nudge_sandu_astex.h"
+      INCLUDE "1D_nudge_sandu_astex.h"
       else
         u(1:mxcalc)=u(1:mxcalc) + timestep*(                                &
@@ -1360,3 +1362,3 @@
         END SUBROUTINE old_lmdz1d
 
-#include "old_1DUTILS_read_interp.h"
+        INCLUDE "old_1DUTILS_read_interp.h"
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/replay1d.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/replay1d.F90	(revision 4727)
@@ -11,5 +11,5 @@
 
       implicit none
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 real :: airefi
@@ -75,5 +75,5 @@
 ! Initialisation de la parametrisation
 !---------------------------------------------------------------------
-call get_ini_module
+call call_ini_replay
 
 !---------------------------------------------------------------------
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/scm.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/scm.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/scm.F90	(revision 4727)
@@ -9,5 +9,5 @@
        ftsol, beta_aridity, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
        rnebcon, rugoro, sig1, w01, solaire_etat0, sollw, sollwdown, &
-       solsw, solswfdiff, t_ancien, q_ancien, u_ancien, v_ancien, &
+       solsw, solswfdiff, t_ancien, q_ancien, u_ancien, v_ancien, rneb_ancien, &
        wake_delta_pbl_TKE, delta_tsurf, wake_fip, wake_pe, &
        wake_deltaq, wake_deltat, wake_s, wake_dens, &
@@ -43,17 +43,17 @@
 
       implicit none
-#include "dimensions.h"
-#include "YOMCST.h"
-!!#include "control.h"
-#include "clesphys.h"
-#include "dimsoil.h"
-!#include "indicesol.h"
-
-#include "compar1d.h"
-#include "flux_arp.h"
-#include "date_cas.h"
-#include "tsoilnudge.h"
-#include "fcg_gcssold.h"
-#include "compbl.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "YOMCST.h"
+!!      INCLUDE "control.h"
+      INCLUDE "clesphys.h"
+      INCLUDE "dimsoil.h"
+!      INCLUDE "indicesol.h"
+
+      INCLUDE "compar1d.h"
+      INCLUDE "flux_arp.h"
+      INCLUDE "date_cas.h"
+      INCLUDE "tsoilnudge.h"
+      INCLUDE "fcg_gcssold.h"
+      INCLUDE "compbl.h"
 
 !=====================================================================
@@ -129,5 +129,5 @@
 !=====================================================================
 !
-#include "1D_decl_cases.h"
+      INCLUDE "1D_decl_cases.h"
 !
 !---------------------------------------------------------------------
@@ -489,5 +489,5 @@
 !=====================================================================
 
-#include "1D_read_forc_cases.h"
+      INCLUDE "1D_read_forc_cases.h"
    print*,'A d_t_adv ',d_t_adv(1:20)*86400
 
@@ -678,4 +678,5 @@
         u_ancien(1,:)=u(:)
         v_ancien(1,:)=v(:)
+        rneb_ancien(1,:)=0.
  
         u10m=0.
@@ -703,4 +704,7 @@
 !------------------------------------------------------------------------
 !Al1 =============== restart option ======================================
+        iflag_physiq=0
+        call getin('iflag_physiq',iflag_physiq)
+
         if (.not.restart) then
           iflag_pbl = 5
@@ -803,5 +807,5 @@
 !---------------------------------------------------------------------
 
-#include "1D_interp_cases.h"
+      INCLUDE "1D_interp_cases.h"
 
 !---------------------------------------------------------------------
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ecrad/radiation_scheme.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ecrad/radiation_scheme.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ecrad/radiation_scheme.F90	(revision 4727)
@@ -83,7 +83,12 @@
 USE YOMHOOK  , ONLY : LHOOK, DR_HOOK
 USE RADIATION_SETUP
-! Commentes : jour, date de la simulation 
 USE YOMCST   , ONLY : RSIGMA ! Stefan-Boltzmann constant
-USE radiation_config, ONLY : config_type,ISolverSpartacus
+USE RADIATION_SETUP, ONLY : SETUP_RADIATION_SCHEME, &
+                         &  config_type, driver_config_type, &
+                         &  NWEIGHT_UV,  IBAND_UV,  WEIGHT_UV, &
+                         &  NWEIGHT_PAR, IBAND_PAR, WEIGHT_PAR, &
+                         &  ITYPE_TROP_BG_AER,  TROP_BG_AER_MASS_EXT, &
+                         &  ITYPE_STRAT_BG_AER, STRAT_BG_AER_MASS_EXT, &
+                         &  ISolverSpartacus
 
 ! Modules from radiation library
@@ -297,5 +302,5 @@
 !AI juillet 2023 : verif des param de config :
 if (lprint_config) then
- IF (is_master) THEN       
+! IF (is_master) THEN       
    print*,'Parametres de configuration de ecrad, etape ',itap_ecrad     
    print*,'Entree dans radiation_scheme'
@@ -377,5 +382,5 @@
 
            itap_ecrad=itap_ecrad+1
-   ENDIF          
+!   ENDIF          
 endif           
 
